"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiToDefaultParams = (api) => {
    return (api.required || []).reduce((res, param) => {
        const spec = api.properties[param];
        if (spec && spec.default) {
            return res + `-p ${param} ${spec.default}`;
        }
        else {
            return res;
        }
    }, '');
};
//# sourceMappingURL=api.js.map