"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _modes = [];
const buttons = [];
exports.modes = (defaultMode, api, choices) => {
    const modes = _modes
        .filter(({ mode }) => mode === 'get' || (mode === 'api' && api) || (mode === 'config' && choices))
        .map(_ => (_.mode === defaultMode ? Object.assign({}, _, { defaultMode: true }) : _));
    return modes.concat(buttons);
};
//# sourceMappingURL=modes.js.map